﻿@model LoyaltyPointEngine.Model.Parameter.Member.ApproveMemberKKImageModel
@{
    string imageHost = Settings.GetValueByKey(LoyaltyPointEngine.Common.SiteSetting.ASSET_URL);
    string urlCheckavailabilityMember = Url.Action(MVC.Member.CheckavailabilityMember());
    int a = 0;
}
<!--=== Page Header ===-->
<div class="page-header">
    <div class="page-title">
        <h3>Approve Member KK</h3>
    </div>
    <!-- /Page Stats -->
</div>
<!-- /Page Header -->
<!--=== Page Content ===-->
<div class="row">
    <!--=== Validation Example 1 ===-->
    <div class="col-md-12">
        <div class="widget box">
            <div class="widget-header">
                <h4><i class="icon-reorder"></i>Approve Member KK</h4>
            </div>
            <div class="widget-content">
                @using (Html.BeginForm(MVC.MemberKKApproval.Edit(), FormMethod.Post, new { enctype = "multipart/form-data", @class = "form-horizontal row-border", @id = "formEditMember" }))
                {
                    @Html.AntiForgeryToken()
                    if (!Html.ViewData.ModelState.IsValid)
                    {
                        <div class="alert alert-danger">
                            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                            <i class="fa fa-times-circle"></i>
                            Error occured:
                            <br />
                            @Html.ValidationSummary()
                        </div>
                    }

                    if (!string.IsNullOrEmpty(ViewBag.StatusDeleteChild))
                    {
                        if (ViewBag.Code == "00")
                        {
                            <div class="alert alert-success">
                                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                                <i class="fa fa-times-circle"></i>
                                @ViewBag.StatusDeleteChild
                            </div>
                        }
                        else
                        {
                            <div class="alert alert-danger">
                                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                                <i class="fa fa-times-circle"></i>
                                @ViewBag.StatusDeleteChild
                            </div>
                        }

                    }

                    @Html.HiddenFor(x => x.ID)
                    <div class="form-group">
                        <label class="col-md-3 control-label">FirstName <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.FirstName, new { @class = "form-control", @required = "required", @readonly = "readonly" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">LastName <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.LastName, new { @class = "form-control", @required = "required", @readonly = "readonly" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Email </label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.Email, new { @class = "form-control member-email-check", @readonly = "readonly" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Phone <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.Phone, new { @class = "form-control member-phone-check", @required = "required", @readonly = "readonly" })
                        </div>
                    </div>
                    @*<div class="form-group">
                <label class="col-md-3 control-label">Child Name </label>
                <div class="col-md-9">
                    @Html.TextBoxFor(x => x.ChildName, new { @class = "form-control" })
                </div>
            </div>
            <div class="form-group">
                <label class="col-md-3 control-label">Child Birthdate <span class="required">*</span></label>
                <div class="col-md-9">
                    @Html.TextBoxFor(x => x.ChildBirthdate, new { @class = "form-control datepicker" })
                </div>
            </div>*@
                    <div class="form-group" style="padding: 10px;">
                        <input type="hidden" id="CountChild" value="@(Model.Childs != null ? Model.Childs.Count : 1)" />
                        @if (Model.Childs != null)
                        {
                            <div id="child-box">
                                @foreach (var child in Model.Childs)
                                {
                                    <div class="row child-obj-1">
                                        <div class="col-md-12">
                                            <div class="widget box">
                                                <div class="widget-header">
                                                    <h4><i class="icon-reorder"></i>Data Child</h4>
                                                </div>
                                                <div class="widget-content">
                                                    <input type="hidden" id="Childs-@a-ID" name="Childs[@a].ID" value="@child.ID" />
                                                    <div class="form-group">
                                                        <label class="col-md-3 control-label">ChildName <span class="required">*</span></label>
                                                        <div class="col-md-9">
                                                            <input type="text" class="form-control" id="Childs-@a-Name" name="Childs[@a].Name" value="@child.Name" />
                                                        </div>
                                                    </div>
                                                    <div class="form-group">
                                                        <label class="col-md-3 control-label">ChildBirthdate <span class="required">*</span></label>
                                                        <div class="col-md-9">
                                                            @*<input type="text" class="form-control datepicker" id="Childs-" name="Childs[@a].Birthdate" value="@child.Birthdate" required="required" />*@
                                                            @Html.TextBoxFor(x => x.Childs[a].Birthdate, new { @class = "form-control datepicker", @required = "required", @id = "Childs-" + a + "-Birthdate" })
                                                        </div>
                                                    </div>
                                                    <input type="hidden" id="productID" value="@Model.ProductBeforeID" />
                                                    <input type="hidden" id="Childs-@a-ParentID" name="Childs[@a].ParentID" value="@Model.ID" />
                                                </div>
                                                <div class="form-group" id="Childs-@a-ChildButtonBar">
                                                    <label class="col-md-3 control-label"></label>
                                                    <div class="col-md-9">
                                                        @*<a href="@Url.Action(MVC.Member.DeleteChild(child.ID, Model.ID))" class="btn btn-danger">Delete</a>*@
                                                        <a onclick="confirmDelete(@child.ID)" class="btn btn-danger">Delete </a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    a++;
                                }
                            </div>
                        }
                        else
                        {
                            <div id="child-box">
                                <div class="row child-obj-1">
                                    <div class="col-md-12">
                                        <div class="widget box">
                                            <div class="widget-header">
                                                <h4><i class="icon-reorder"></i>Data Child</h4>
                                            </div>
                                            <div class="widget-content">
                                                <div class="form-group">
                                                    <label class="col-md-3 control-label">ChildName <span class="required">*</span></label>
                                                    <div class="col-md-9">
                                                        <input type="text" id="Childs-@a-Name" class="form-control" name="Childs[@a].Name" value="" required />
                                                    </div>
                                                </div>
                                                <div class="form-group">
                                                    <label class="col-md-3 control-label">ChildBirthdate <span class="required">*</span></label>
                                                    <div class="col-md-9">
                                                        <input type="text" id="Childs-@a-Birthdate" class="form-control datepicker" name="Childs[@a].Birthdate" value="" />
                                                    </div>
                                                </div>
                                                <input type="hidden" id="productID" value="@Model.ProductBeforeID" />
                                                <input type="hidden" id="Childs-@a-ParentID" name="Childs[@a].ParentID" value="@Model.ID" />
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        }
                        <div class="row">
                            <div class="col-md-3 ta-center">

                            </div>
                            <div class="col-md-9">
                                <div class="col-md-6">
                                    <a href="javascript:void(0)" onclick="addChild()" class="btn button big red"><span class="glyphicon additional plus margin-right-10"></span>Tambah Data Anak</a>
                                </div>
                                <div class="col-md-6"></div>
                            </div>
                        </div>
                        <div class="row">
                            <br />
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">KTPImage</label>
                        <div class="col-md-9">
                            @if (!string.IsNullOrEmpty(Model.KTPImage))
                            {
                                @Html.HiddenFor(x => x.KTPImage)
                                <a href="#" onclick="readURL('@(Url.Action(MVC.Member.GetImage()) + "?url=" + Model.KTPImage)')" data-toggle="modal" data-target="#imageViewer">
                                    <div class="item">
                                        <img src="@(Url.Action(MVC.Member.GetImage()) + "?url=" + Model.KTPImage)" style="width:250px">
                                    </div>
                                </a>
                            }
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">KKImage</label>
                        <div class="col-md-9">
                            @if (!string.IsNullOrEmpty(Model.KKImage))
                            {
                                @Html.HiddenFor(x => x.KKImage)
                                <a href="#" onclick="readURL('@(Url.Action(MVC.Member.GetImage()) + "?url=" + Model.KKImage)')" data-toggle="modal" data-target="#imageViewer">
                                    <div class="item">
                                        <img src="@(Url.Action(MVC.Member.GetImage()) + "?url=" + Model.KKImage)" style="width:250px">
                                    </div>
                                </a>
                            }
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">AkteImage</label>
                        <div class="col-md-9">
                            @if (!string.IsNullOrEmpty(Model.AkteImage))
                            {
                                @Html.HiddenFor(x => x.AkteImage)
                                <a href="#" onclick="readURL('@(Url.Action(MVC.Member.GetImage()) + "?url=" + Model.AkteImage)')" data-toggle="modal" data-target="#imageViewer">
                                    <div class="item">
                                        <img src="@(Url.Action(MVC.Member.GetImage()) + "?url=" + Model.AkteImage)" style="width:250px">
                                    </div>
                                </a>
                            }
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">Is Approved KK</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.IsApprovedKKImage, new { @class = "form-control uniform", @readonly = "readonly" })
                        </div>
                    </div>

                    @*<div class="form-group">
                        <label class="col-md-3 control-label">Reason Reject</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.ReasonRejectKK, new { @class = "form-control uniform" })
                        </div>
                    </div>*@

                    <div class="form-group">
                        <label class="col-md-3 control-label">Reason Reject </label>
                        <div class="col-md-9">
                            <select id="ReasonRejectKK" name="ReasonRejectKK" class="select2-select-00 col-md-12 full-width-fix">
                                <option value=" ">==PILIH==</option>
                                @foreach (var item in ViewBag.ReasonRejectList)
                                {
                                    <option value="@item.Value" >@item.Value</option>
                                }
                            </select>
                            @*@Html.DropDownListFor(x => x.StagesID, ViewBag.ListStages as IEnumerable<SelectListItem>, "", new { @class = "select2-select-00 col-md-12 full-width-fix" })*@
                        </div>
                    </div>

                    <div class="form-actions">
                        @{
                            string disabled = "";
                            if (Model.IsApprovedKKImage)
                            {
                                disabled = "disabled";
                            }
                        }
                        <input type="submit" value="Approve" name="approve" id="btn-approve" class="btn btn-primary pull-right" @disabled>
                        <input type="submit" value="Reject" name="reject" id="btn-reject" class="btn btn-danger pull-right" @disabled>
                        <button data-toggle="modal" data-target="#moveImage" type="button" name="btnChange" id="btn-change" class="btn btn-warning pull-right">Move Image</button>
                    </div>
                }
            </div>
        </div>
        <!-- /Validation Example 1 -->
    </div>
</div>

<div class="modal fade" id="imageViewer" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="exampleModalLabel">View Image</h4>
            </div>
            <div class="modal-body">
                <div>
                    <img id="blah" src="#" alt="your image" />
                </div>

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="moveImage" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="exampleModalLabel">Move Image</h4>
            </div>
                @Html.Action("MoveImage", "MemberKKApproval", new { MemberId = Model.ID })
        </div>
    </div>
</div>

@section FooterScript{
    <script>
        function readURL(url) {
            $('#blah').attr('src', url);
        }

        function confirmDelete(x) {
            var r = confirm("Are you sure you want delete this child ?");
            switch(r)
            {
                case true:
                    window.location.href = "@Url.Action("DeleteChild")?ID="+x+"&MemberID="+@Model.ID;
                    console.log(x);
                    break;
                default:
                    break;
            }
        }

        $(document).ready(function () {
            //===== Validation =====//
            //for default options, see assets/js/plugins.form-components.js (initValidation())
          
            $('#btn-reject').click(function (e) {

                let elReason = $("#ReasonRejectKK");

                elReason.val($.trim(elReason.val()));
                $("input[name*='Childs']").removeAttr('required')
                $("#formEditMember").validate({
                    rules: {
                        ReasonRejectKK: {
                            required: true
                        }
                    },
                })    
                
            })

            $('#btn-approve').click(function (e) {
                $("input[name*='Childs']").attr('required','required')
                $('#ReasonRejectKK').rules('remove', 'required')
            })


            $.extend($.validator.defaults, {
                invalidHandler: function (form, validator) {
                    var errors = validator.numberOfInvalids();
                    if (errors) {
                        var message = errors == 1
                            ? 'You missed 1 field. It has been highlighted.'
                            : 'You missed ' + errors + ' fields. They have been highlighted.';
                        noty({
                            text: message,
                            type: 'error',
                            timeout: 2000
                        });
                    }
                },
                errorPlacement: function (error, element) {
                    if (element.attr('type') === "file" && element.data('style') === "fileinput") {
                        error.appendTo(element.closest("div.fileinput-holder").parent('div'));
                    } else {
                        error.insertAfter(element)
                    }
                }
            });
        });
    </script>
}